Update Quicklink
curl --request PUT \
--url https://api.cludo.com/api/quicklinks/{quicklinkId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"websiteid": 123,
"terms": [
{
"name": "<string>"
}
]
}
'import requests
url = "https://api.cludo.com/api/quicklinks/{quicklinkId}"
payload = {
"url": "<string>",
"websiteid": 123,
"terms": [{ "name": "<string>" }]
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', websiteid: 123, terms: [{name: '<string>'}]})
};
fetch('https://api.cludo.com/api/quicklinks/{quicklinkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', websiteid: 123, terms: [{name: '<string>'}]})
};
fetch('https://api.cludo.com/api/quicklinks/{quicklinkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"url": "<string>",
"websiteid": 123,
"id": 123,
"terms": [
{
"name": "<string>"
}
],
"brokenLinksFoundAt": "<string>"
}{
"viewModel.pages[0]": [
"The Url field is required."
]
}{
"message": "unauthorized"
}{
"message": "<string>"
}{
"status": "InternalServerError",
"code": 500,
"messages": [
"Error occur. Please contact support with error ID: a1b2c3d4-e5f6-7890-abcd-ef1234567890"
]
}Quicklinks
Update Quicklink
Replaces a quicklink. The quicklink id is taken from the URL path.
PUT
/
api
/
quicklinks
/
{quicklinkId}
Update Quicklink
curl --request PUT \
--url https://api.cludo.com/api/quicklinks/{quicklinkId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"websiteid": 123,
"terms": [
{
"name": "<string>"
}
]
}
'import requests
url = "https://api.cludo.com/api/quicklinks/{quicklinkId}"
payload = {
"url": "<string>",
"websiteid": 123,
"terms": [{ "name": "<string>" }]
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', websiteid: 123, terms: [{name: '<string>'}]})
};
fetch('https://api.cludo.com/api/quicklinks/{quicklinkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', websiteid: 123, terms: [{name: '<string>'}]})
};
fetch('https://api.cludo.com/api/quicklinks/{quicklinkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"url": "<string>",
"websiteid": 123,
"id": 123,
"terms": [
{
"name": "<string>"
}
],
"brokenLinksFoundAt": "<string>"
}{
"viewModel.pages[0]": [
"The Url field is required."
]
}{
"message": "unauthorized"
}{
"message": "<string>"
}{
"status": "InternalServerError",
"code": 500,
"messages": [
"Error occur. Please contact support with error ID: a1b2c3d4-e5f6-7890-abcd-ef1234567890"
]
}Authorizations
Basic authentication. Use your Customer ID as the username and API Key as the password. Example header: Authorization: Basic MTIzNDU2NzpteS1hcGkta2V5.
Path Parameters
Numeric id of an existing quicklink.
Body
application/json
Quicklink update payload. The quicklink id is taken from the URL path; any id in the body is ignored.
Response
Quicklink updated successfully.
Destination when the user selects this quicklink.
Engine this quicklink belongs to.
Quicklink ID (assigned by server on create).
All trigger phrases for this shortcut.
Show child attributes
Show child attributes
Managed by the Cludo backend; informational only.
Was this page helpful?

